update-software-center-channels crashed with NameError in trigger_axi_update_and_wait(): global name 'GLib' is not defined

Bug #1095117 reported by Sasa Paporovic on 2013-01-01
284
This bug affects 67 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Dimitri John Ledkov

Bug Description

I have just used Software-Center to install "Acetone".

This crash happends two times.(First install was unsuccessfull, so I retried which provoces the crash again).

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: software-center 5.5.3
ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
Uname: Linux 3.7.0-7-generic x86_64
ApportVersion: 2.7-0ubuntu2
Architecture: amd64
CrashCounter: 1
Date: Tue Jan 1 20:30:41 2013
ExecutablePath: /usr/share/software-center/update-software-center-channels
ExecutableTimestamp: 1355826443
InstallationDate: Installed on 2013-01-01 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130101)
InterpreterPath: /usr/bin/python2.7
MarkForUpload: True
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/software-center/update-software-center-channels
ProcCwd: /home/user
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/software-center/update-software-center-channels']
SourcePackage: software-center
Title: update-software-center-channels crashed with NameError in trigger_axi_update_and_wait(): global name 'GLib' is not defined
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Sasa Paporovic (melchiaros) wrote :
information type: Private → Public
tags: removed: need-duplicate-check
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
tags: added: qa-manual-testing rls-r-incoming
Changed in software-center (Ubuntu):
importance: Medium → High
Pierre Giraud (caracole) wrote :

ultimo programa instalado:
sudo add-apt-repository ppa:webupd8team/y-ppa-manager
sudo apt-get update
sudo apt-get install y-ppa-manager

La instalacion ha funcionado
pero cuando he arrancado Software Updater" version 1.0.176
Este problema ha aparecido durante la actualizacion.

João Vinholi (jgvinholi) wrote :

The error occurred when I was searching for apps in the software center, but it didn't make any difference in the software center usage, so if the error message didn't show, I wouldn't never know that some error occurred.

jerrylamos (jerrylamos) wrote :

Error occurred when selecting the latest mainstream kernel .deb file to install.

NeoSting (neosting-web) wrote :

I have just install (not launch) compizconfig-settings-manager front USC.

amr elghobary (eng-amr19-s) wrote :

i was install Adobe Flash Plugin and it crashed

Changed in software-center (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Julien Funk (jaboing) on 2013-01-23
tags: added: u1-by-user u1-on-production
Julien Funk (jaboing) on 2013-01-23
tags: added: u1-notrack
Changed in software-center (Ubuntu):
assignee: nobody → Dmitrijs Ledkovs (xnox)
status: Confirmed → In Progress
Changed in software-center (Ubuntu):
status: In Progress → Fix Released
amr elghobary (eng-amr19-s) wrote :

I have just used Software-Center to install "Skype".

This crash happends two times.(First install was unsuccessfull, so I retried which provoces the crash again).

fantab (fantab) wrote :

Software Center crashed when I tried to see 'Installed" software.

no longer affects: software-center
Jason Robinson (jaywink) wrote :

Error occurred after installing Steam deb file downloaded from Steam site. The deb was installing, Steam info dialog asked to Start it after which Steam started updating the client. Clicked close button on the info dialog and USC crashed. Clicked relaunch and it crashed again. Clicked relaunch and now didn't crash. 'Install' button still visible for the deb even though install seems successful, dpkg also says installed, no broken packages (sudo apt-get install -f).

Running Raring, installed cleanly a few days ago.

uname -a
Linux wolverine 3.8.0-6-generic #11-Ubuntu SMP Mon Feb 11 16:02:49 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

software-center 5.5.4

Steve Langasek (vorlon) wrote :

I've also seen this issue when installing steam. So I don't think it's correct to say that this is 'fix released' - and I'm not sure if it's still in progress, so setting back to triaged.

Changed in software-center (Ubuntu):
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.5.5-0ubuntu1

---------------
software-center (5.5.5-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix handling of whitelisted applications. (LP: #1112774)
    - Use correct API signatures for old and new python-gi. (LP: #1093970)
    - Fix missing GLib import. (LP: #1095117)
    - Transition away from being a native package.
  * debian/control:
    - Fix the oneconf dependency to work correctly with old and new oneconf.
    - Update the Maintainer field.
    - Update standards version to 3.9.4.
  * debian/source/format:
    - Convert to source format 3.0 (quilt).
  * debian/watch:
    - Add a watch file for new releases.
 -- Rodney Dawes <email address hidden> Fri, 01 Mar 2013 14:48:53 -0500

Changed in software-center (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers